org.jboss.netty.handler.codec.spdy

## Class SpdySessionHandler

- java.lang.Object
- - org.jboss.netty.channel.SimpleChannelUpstreamHandler
  - - org.jboss.netty.handler.codec.spdy.SpdySessionHandler

All Implemented Interfaces:
  ChannelDownstreamHandler, ChannelHandler, ChannelUpstreamHandler

    public class SpdySessionHandler
    extends SimpleChannelUpstreamHandler
    implements ChannelDownstreamHandler

Manages streams within a SPDY session.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler

`ChannelHandler.Sharable`

### Constructor Summary

Constructors
Constructor and Description
`SpdySessionHandler(boolean server)` Deprecated.
`SpdySessionHandler(int version, boolean server)` Creates a new session handler.

### Method Summary

Methods
`void` `exceptionCaught(ChannelHandlerContext ctx, ExceptionEvent e)` Invoked when an exception was raised by an I/O thread or a `ChannelHandler`.
`void` `handleDownstream(ChannelHandlerContext ctx, ChannelEvent evt)` Handles the specified downstream event.
`void` `messageReceived(ChannelHandlerContext ctx, MessageEvent e)` Invoked when a message object (e.g: `ChannelBuffer`) was received from a remote peer.

### Methods inherited from class org.jboss.netty.channel.SimpleChannelUpstreamHandler

`channelBound, channelClosed, channelConnected, channelDisconnected, channelInterestChanged, channelOpen, channelUnbound, childChannelClosed, childChannelOpen, handleUpstream, writeComplete`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SpdySessionHandler

    @Deprecated
    public SpdySessionHandler(boolean server)

Deprecated.
Creates a new SPDY/2 session handler.

Parameters:
  `server` - `true` if and only if this session handler should handle the server endpoint of the connection. `false` if and only if this session handler should handle the client endpoint of the connection.

#### SpdySessionHandler

    public SpdySessionHandler(int version,
                      boolean server)

Creates a new session handler.

Parameters:
  `version` - the protocol version
  `server` - `true` if and only if this session handler should handle the server endpoint of the connection. `false` if and only if this session handler should handle the client endpoint of the connection.

### Method Detail

#### messageReceived

    public void messageReceived(ChannelHandlerContext ctx,
                       MessageEvent e)
                         throws Exception

Description copied from class: `SimpleChannelUpstreamHandler`
Invoked when a message object (e.g: `ChannelBuffer`) was received from a remote peer.

Overrides:
  `messageReceived` in class `SimpleChannelUpstreamHandler`
Throws:
  `Exception`

#### exceptionCaught

    public void exceptionCaught(ChannelHandlerContext ctx,
                       ExceptionEvent e)
                         throws Exception

Description copied from class: `SimpleChannelUpstreamHandler`
Invoked when an exception was raised by an I/O thread or a `ChannelHandler`.

Overrides:
  `exceptionCaught` in class `SimpleChannelUpstreamHandler`
Throws:
  `Exception`

#### handleDownstream

    public void handleDownstream(ChannelHandlerContext ctx,
                        ChannelEvent evt)
                          throws Exception

Description copied from interface: `ChannelDownstreamHandler`
Handles the specified downstream event.

Specified by:
  `handleDownstream` in interface `ChannelDownstreamHandler`
Parameters:
  `ctx` - the context object for this handler
  `evt` - the downstream event to process or intercept
Throws:
  `Exception`